:root {
    --green: #01C4AF;
}

#loginModal .modal-body {
    padding: 0 15px 0 0;
}

.login-close {
    position: absolute;
    right: 10px;
    top: 10px;
}

.login-modal-f {
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-modal-f .swiper-container {
    width: 100%;
    height: 100%;
}

.login-modal-f .swiper-slide {
    background-position: center;
    background-size: cover;
}

.login-modal-f a {
    color: #636e7b;
    cursor: pointer;
}

.login-modal-f a:hover {
    color: black;
}

.login-modal-swiper {
    width: 515px;
    height: 540px;
}

.login-form {
    width: calc(100% - 515px);
    padding: 0px 45px 0px 65px;
}

#formoff .icon {
    width: 12px;
    height: 12px;
    vertical-align: middle;
    fill: black;
    overflow: hidden;
    cursor: pointer;
}

#formoff .icon:hover {
    fill: #808080;

}

.login-logo {
    margin-top: 40px;
    position: relative;
    text-align: center;
}

.login-logo img {
    height: 40px;
}

.login-logo .register {
    right: 0;
    position: absolute;
    top: 0;
}

.login-logo .register a {
    color: black;
}

#signupForm #tip_info {
    font-size: small;
    text-align: center;
    padding: 18px 0;
    height: 56px;
}

.login-input-div {
    position: relative;
    max-width: 350px;
    margin: 0 auto;
    margin-bottom: 20px;
}

.login-password-div {
    margin-bottom: 10px;
}

.login-input {
    padding: 10px 15px 10px 30px;
    font-size: 15px;
    line-height: unset;
    border-radius: 999px;
    width: 100%;
    box-shadow: inset white 0 0 20px 20px !important;
    border: 1px solid #cccccc;
}

.mobile-login-input-div .login-input, .mobile-login-input-div .get-mobile-code {
    font-size: 15px;
}

.mobile-login-input-div {
    display: none;
}

.mobile-login-input-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.mobile-login-input-div .login-input {
    border: 1px solid #cccccc;
    vertical-align: top;
}

.mobile-login-input-div .get-mobile-code {
    display: inline-block;
    width: 40%;
    border: 1px solid #cccccc;
    line-height: 34px;
    height: 36px;
    box-shadow: #adadad 0px 0px 8px -2px;
    float: right;
}

.mobile-login-input-div .mobile-code {
    display: inline-block;
    width: calc(60% - 12px);
}

.login-input:focus, .login-input:focus-visible {
    border-color: black;
    color: black;
    outline: none;
}

.login-input:focus::-webkit-input-placeholder,
.login-input:focus-visible::-webkit-input-placeholder {
    color: white;
}

input[type="password"]::-ms-reveal {
    display: none
}

.password-show {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.login-mobile {
    background: url(/dist/img/login/phone-icon-gray.png) 0 0 /100% 100%;
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
}

.password-eyeSlash {
    background: url(/dist/img/login/eye-close-icon-gray.png) 0 0 /100% 100%;
}

.password-eye {
    background: url(/dist/img/login/eye-open-icon-gray.png) 0 0 /100% 100%;
}

.username-icon, .password-icon {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
}

.username-icon {
    background: url(/dist/img/login/username-icon-gray.png) 0 0 /100% 100%;
}

.password-icon {
    background: url(/dist/img/login/password-icon-gray.png) 0 0 /100% 100%;
}

.login-forgot {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.login-forgot a {
    cursor: pointer;
}

.login-input-div .register {
    text-align: center;
}

.login-input-div .register a:any-link {
    color: var(--green);
}

.login-button-div {
    margin-bottom: 20px;
}

.login-button-div #btnsignup {
    background-image: linear-gradient(to right, var(--green), #59f1dd, var(--green));
    text-align: center;
    color: #fff;
    font-size: 16px;
    padding: 10px;
    border-radius: 999px;
    width: 100%;
    border: none;
    cursor: pointer;
    letter-spacing: 18px;
    text-indent: 18px;
}

.login-modal-foot {
    position: absolute;
    bottom: 15px;
    right: 15px;
    font-size: 12px;
}

.login-open-vip a span {
    color: #b4a078;
    font-size: 15px;
    font-family: fantasy;
}

.clear {
    clear: both;
}

@keyframes shake {
    10%, 90% {
        transform: translate3d(-1px, 0, 0);
    }
    20%, 80% {
        transform: translate3d(2px, 0, 0);
    }
    30%, 50%, 70% {
        transform: translate3d(-4px, 0, 0);
    }
    40%, 60% {
        transform: translate3d(4px, 0, 0);
    }
}

.apply-shake {
    animation: shake 1s cubic-bezier(0.36, 0.07, 0.19, 0.97) both 500ms;
}

#user_agree_div {
    margin: 0 auto;
    width: fit-content;
}

#user_agree_div label, .login-forgot label {
    font-weight: normal !important;
}

/*仿zui修改radio按钮样式*/
.checkbox-primary, .radio-primary {
    position: relative;
    display: block;
    line-height: 32px;
    font-size: 14px;
}

.checkbox-primary > label, .radio-primary > label {
    padding-left: 20px;
    font-weight: 400;
    cursor: pointer;
}

.checkbox-primary.disabled > label,
.radio-primary.disabled > label,
.checkbox-primary.disabled,
.radio-primary.disabled {
    cursor: not-allowed;
}

.checkbox-primary label {
    display: inline-block;
    margin-bottom: 5px;
    font-weight: 700;
}

.login-modal-f .radio-primary.checked > label:before,
.login-modal-f .radio-primary > input:checked + label:before {
    background-color: var(--green);
}

.checkbox-primary.checked > label:before, .checkbox-primary > input:checked + label:before, .radio-primary.checked > label:before, .radio-primary > input:checked + label:before {
    color: #fff;
    opacity: 1;
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
}

.radio-primary > label:before {
    content: ' ';
    border: none;
    border-radius: 50%;
}

.checkbox-primary > label:before, .radio-primary > label:before {
    top: 3px;
    z-index: 2;
    font-family: ZenIcon;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    font-variant: normal;
    line-height: 1;
    text-transform: none;
    content: '\e60d';
    opacity: 0;
    -webkit-transition: .2s cubic-bezier(.175, .885, .32, 1);
    -o-transition: .2s cubic-bezier(.175, .885, .32, 1);
    transition: .2s cubic-bezier(.175, .885, .32, 1);
    -webkit-transition-property: opacity, -webkit-transform;
    -o-transition-property: opacity, -o-transform;
    transition-property: opacity, -webkit-transform;
    transition-property: opacity, transform;
    transition-property: opacity, transform, -webkit-transform, -o-transform;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    speak: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.checkbox-primary.disabled {
    cursor: not-allowed;
}

.checkbox-primary > label:after,
.checkbox-primary > label:before,
.radio-primary > label:after,
.radio-primary > label:before {
    position: absolute;
    right: 0;
    display: block;
    line-height: 16px;
    text-align: center;
    content: ' ';
}

.checkbox-primary > label:after,
.checkbox-primary > label:before {
    content: '\e60d';
}

.login-modal-f .radio-primary.checked > label:after,
.login-modal-f .radio-primary > input:checked + label:after {
    background-color: transparent;
    border-color: var(--green);
}

.radio-primary > label:after {
    border-radius: 50%;
}

.checkbox-primary > label:after, .radio-primary > label:after {
    z-index: 1;
    border: 1px solid grey;
    -webkit-transition: .4s cubic-bezier(.175, .885, .32, 1);
    -o-transition: .4s cubic-bezier(.175, .885, .32, 1);
    transition: .4s cubic-bezier(.175, .885, .32, 1);
    -webkit-transition-property: border, background-color;
    -o-transition-property: border, background-color;
    transition-property: border, background-color;
}

.radio-primary > label:after, .radio-primary > label:before {
    position: absolute;
    right: 0;
    display: block;
    line-height: 16px;
    text-align: center;
    content: ' ';
}

.checkbox-primary > input, .radio-primary > input {
    position: absolute;
    z-index: 3;
    margin: 0;
    opacity: 0;
}

input[type=checkbox], input[type=radio] {
    margin: 5px 0 0;
    margin-top: 0;
    line-height: normal;
}

input[type=checkbox], input[type=radio] {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
}

.checkbox-primary > input:disabled, .radio-primary > input:disabled {
    cursor: not-allowed;
}

.checkbox-primary > label:after,
.checkbox-primary > input,
.radio-primary > label:after,
.radio-primary > input {
    color: #ffffff00;
    margin: 0;
    top: 8px;
    left: 0;
    width: 14px;
    height: 14px;
    cursor: pointer;
}

.checkbox-primary > label:before {
    top: 7px;
    left: 1px;
    width: 5px;
    height: 5px;
}

.radio-primary > label:before {
    top: 12px;
    left: 4px;
    width: 6px;
    height: 6px;
}

.checkbox-primary > input:disabled + label:after {
    background-color: #cccccc;
}

.checkbox-primary input:disabled + label:after {
    border-color: #808080;
    border-width: 1px;
}

.login-modal-f .checkbox-primary.checked > label:after,
.login-modal-f .checkbox-primary > input:checked + label:after {
    background-color: var(--green);
    border-color: var(--green);
    border-width: 4px;
}

#user_agree_div a {
    color: #145ccd;
}